OUTPUT = dinospin
SOURCES := controller.cpp dinospin.cpp
OBJECTS := $(SOURCES:.cpp=.o)

OPENCV_CXXFLAGS := $(shell pkg-config --cflags opencv4)
OPENCV_LDFLAGS := $(shell pkg-config --libs opencv4)

OPENGL_CXXFLAGS := -DGL_SILENCE_DEPRECATION

ifeq ($(shell uname -s), Darwin)
	OPENGL_LDFLAGS := -framework OpenGL -framework GLUT
else
	OPENGL_LDFLAGS := -lglut -lGLU -lGL -lm
endif

LDFLAGS := $(OPENGL_LDFLAGS) $(OPENCV_LDFLAGS) 
CXXFLAGS := $(OPENCV_CXXFLAGS) $(OPENGL_CXXFLAGS) -std=c++11

.PHONY: all clean indent

%.o: %.cpp
	@$(CXX) -c -o $@ $(CXXFLAGS) $< -O0 -ggdb3

$(OUTPUT) : $(OBJECTS)
	@$(CXX) $(OBJECTS) -o $(OUTPUT) $(LDFLAGS) 

indent:
	@astyle --style=google --max-code-length=80  $(SOURCES)

clean:
	@rm -f $(OUTPUT) $(OBJECTS) *~
